Library Version 11.2.5.3

operator==
Prev | Chapter 8. Db_multiset | Next

## operator==

### Function Details

    bool operator==(const self &m2) const

Container content equality compare operator.

This function does not rely on key order. Two sets A and B are equal if and only if for each and every key K having n occurrences in A, K has n occurrences in B, and for each and every key K` having N occurrences in B, K` has n occurrences in A.

#### Parameters

##### m2

The container to compare against.

#### Return Value

Returns true if the two containers are equal, false otherwise.

### Class

db_multiset

Prev | Up | Next
swap | Home | operator!=